//
//  MLKWideAngleView.h
//  MLKWideAngleView
//
//  Created by Michael Kral on 1/30/13.
//  Copyright (c) 2013 Michael Kral. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef enum {
    topCenter,
    topLeft,
    topRight,
    center,
    centerLeft,
    centerRight,
    bottomCenter,
    bottomLeft,
    bottomRight
}ImageFocusPoint;

@interface MLKWideAngleView : UIView {
    UIImageView *_imageView;
    ImageFocusPoint _focusPoint;
}

@property(nonatomic, strong) UIImage *image;
@property(nonatomic, assign) ImageFocusPoint focusPoint;
@property(nonatomic, assign) UIViewContentMode contentMode;

- (id)initWithFrame:(CGRect)frame image:(UIImage *)image focusPoint:(ImageFocusPoint)focusPoint contentMode:(UIViewContentMode)contentMode;

@end
